import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'max_yandex_adapter_method_channel.dart';

abstract class MaxYandexAdapterPlatform extends PlatformInterface {
  /// Constructs a MaxYandexAdapterPlatform.
  MaxYandexAdapterPlatform() : super(token: _token);

  static final Object _token = Object();

  static MaxYandexAdapterPlatform _instance = MethodChannelMaxYandexAdapter();

  /// The default instance of [MaxYandexAdapterPlatform] to use.
  ///
  /// Defaults to [MethodChannelMaxYandexAdapter].
  static MaxYandexAdapterPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [MaxYandexAdapterPlatform] when
  /// they register themselves.
  static set instance(MaxYandexAdapterPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
